# SPDX-License-Identifier: BSD-3-Clause
# Copyright (c) 2023 Scipp contributors (https://github.com/scipp)

# flake8: noqa
import importlib.metadata

try:
    __version__ = importlib.metadata.version(__package__ or __name__)
except importlib.metadata.PackageNotFoundError:
    __version__ = "0.0.0"

from .domain import Scope
from .pipeline import (
    AmbiguousProvider,
    Pipeline,
    UnboundTypeVar,
    UnsatisfiedRequirement,
)

__all__ = [
    "AmbiguousProvider",
    "Pipeline",
    "Scope",
    "UnboundTypeVar",
    "UnsatisfiedRequirement",
]
